Old 05-01-2019, 11:53 AM   #1
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Default Reapack boken

Hi,

somehow my Reapack became broken. I was looking for a package and then it told me to do some update. After restarting Reaper Reapack is gone. I've overwritten the Reapack.so file already and deleted the files in REAPER/ReaPack/, but it doesn't come up. I'm using Reaper version 5.975.
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE
lilith93 is offline   Reply With Quote
Old 05-01-2019, 11:59 AM   #2
cfillion
Human being with feelings
 
cfillion's Avatar
 
Join Date: May 2015
Location: Québec, Canada
Posts: 3,146
Default

Try running REAPER from the terminal. An error message should be printed if ReaPack fails to load.

It is most likely due to your system providing an old version of libstdc++. ReaPack v1.2.2 and up requires libstdc++ 6.0.23 (for GCC 7.1) or newer. If updating is not possible, you can still use ReaPack v1.2.1 and pin it.

Last edited by cfillion; 05-01-2019 at 12:08 PM.
cfillion is offline   Reply With Quote
Old 05-01-2019, 12:07 PM   #3
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Default

Thanks for the quick reply ... I get that error:

Code:
swell: dlopen() failed: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.11' not found (required by /home/marco/.config/REAPER/UserPlugins/reaper_reapack64.so)
Error loading /home/marco/.config/REAPER/UserPlugins/reaper_reapack64.so: (null)
Was there a change recently? I'm on Debian 9.I'll try the old version.
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE
lilith93 is offline   Reply With Quote
Old 05-01-2019, 12:20 PM   #4
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Default

It's working again with the old version, but I wonder what exactly I have to pin and how.
Is the Saike Spectral Analyzer available only in the new version?

edit: Pinning seemed to work now.
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE

Last edited by lilith93; 05-01-2019 at 12:28 PM.
lilith93 is offline   Reply With Quote
Old 05-01-2019, 12:25 PM   #5
cfillion
Human being with feelings
 
cfillion's Avatar
 
Join Date: May 2015
Location: Québec, Canada
Posts: 3,146
Default

Open Extensions > ReaPack > Browse packages, search for ReaPack, right click on it and select "Pin current version". This will prevent it from updating automatically.

Debian 10 (Buster) will provide an up-to-date libstdc++ when it comes out.

sai'ke's spectral analyzer JSFX is available from his repository. Copy/paste this into Extensions > ReaPack > Import repositories to enable it:

Code:
https://github.com/JoepVanlier/JSFX/raw/master/index.xml

Last edited by cfillion; 05-01-2019 at 04:20 PM.
cfillion is offline   Reply With Quote
Old 05-01-2019, 12:32 PM   #6
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Default

Quote:
Originally Posted by cfillion View Post
Open Extensions > ReaPack > Browse packages, search for ReaPack, right click on it and select "Pin current version". This will prevent it from updating automatically.

Debian 10 (Buster) will provide an up-to-date libstdc++ when it comes out.

Saike's spectral analyzer JSFX is available from his repository. Copy/paste this into Extensions > ReaPack > Import repositories to enable it:

Code:
https://github.com/JoepVanlier/JSFX/raw/master/index.xml
Thanks I found it .. I will stay some more time with stretch (never brake a running system)
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE
lilith93 is offline   Reply With Quote
Old 11-21-2019, 05:34 AM   #7
biopsin
Human being with feelings
 
Join Date: Sep 2010
Location: oslo
Posts: 67
Default reapack 1.2.2 - fail

Jupp tried update to new release 1.2.2 today and restarted Reaper and terminal shows:

swell: dlopen() failed: libcrypto.so.1.1: cannot open shared object file: No such file or directory
Error loading /home/userx/.config/REAPER/UserPlugins/reaper_reapack64.so: (null)

Solution is to create a symlink libcrypto.so.1.1 to what version you have..

sudo ln -s /usr/lib/libcrypto.so.{your version} /usr/lib/libcrypto.so.1.1
__________________
Voidlinux_glibc / gcc_9.3 / libSwell_GDK2 /
Reaper_5.99 / NI_KA2 / Dynaudio_BM6
biopsin is offline   Reply With Quote
Old 11-21-2019, 05:49 AM   #8
cfillion
Human being with feelings
 
cfillion's Avatar
 
Join Date: May 2015
Location: Québec, Canada
Posts: 3,146
Default

Which OS are you using and what is the latest version of OpenSSL that it has? Building ReaPack from source is probably a better solution to produce a binary tailored for your system. In general, forcibly using a binary-incompatible version of a library is bound to cause issues.

Last edited by cfillion; 11-21-2019 at 09:10 AM.
cfillion is offline   Reply With Quote
Old 11-21-2019, 09:07 AM   #9
biopsin
Human being with feelings
 
Join Date: Sep 2010
Location: oslo
Posts: 67
Default

Quote:
Originally Posted by cfillion View Post
..Building ReaPack from source is probably a better solution..
Thank you for your reply and I totally agree, I'm just too lazy building it just for one script and hotlinking it today worked out
(libressl-3.0.2_1 & libcrypto45-3.0.2_1)
__________________
Voidlinux_glibc / gcc_9.3 / libSwell_GDK2 /
Reaper_5.99 / NI_KA2 / Dynaudio_BM6
biopsin is offline   Reply With Quote
Old 02-16-2020, 06:41 AM   #10
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Default

I switched to Debian Buster last October and the reapack is not working.
Terminal shows me:

Code:
Error loading /home/marco/.config/REAPER/UserPlugins/reaper_reapack64.so: (null)
Is there any solution for this without buildung from scratch?
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE
lilith93 is offline   Reply With Quote
Old 02-17-2020, 07:06 AM   #11
cfillion
Human being with feelings
 
cfillion's Avatar
 
Join Date: May 2015
Location: Québec, Canada
Posts: 3,146
Default

Is this the only line in the terminal output? This error message is usually preceded with information about what went wrong (often a missing system library or incompatible version).
cfillion is offline   Reply With Quote
Old 02-17-2020, 12:05 PM   #12
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 375
Thumbs up

Quote:
Originally Posted by cfillion View Post
Is this the only line in the terminal output? This error message is usually preceded with information about what went wrong (often a missing system library or incompatible version).
Sorry, my fault.

Code:
marco@marco:~/opt/REAPER$ ./reaper 
jack: created client
jack: setting TIME_CRITICAL = 74
swell: dlopen() failed: libcurl.so.4: cannot open shared object file: No such file or directory
I installed libcurl4 from the Debian repository and now it's working again.
__________________
https://soundcloud.com/lilith_93

Debian - Buster / XFCE
lilith93 is offline   Reply With Quote
Old 02-17-2020, 06:46 PM   #13
s wave
Human being with feelings
 
Join Date: Sep 2018
Location: Colorado
Posts: 260
Wink

MY work around - is always go to a 'saved project' that uses the plug in. Then copy the plug in - switch to you new project - and paste it in. Works good. I end up making a sample project using all (my essential plugins)before before I start. This way you always have this work around. Saved me once. gl
s wave is online now   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 09:11 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2020, vBulletin Solutions Inc.